[app]
# Filepath parameters - THESE MUST EXIST OR PROGRAM WILL NOT RUN!!
log_filename = string(min=0, max=255, default='/tmp/wikicrawl.log')
sqlite_dbfile = string(min=0, max=255, default='/home/mathew/.wikicrawler.db')
chromedriver_exe = string(min=0, max=255, default='/usr/bin/chromedriver')
# CHROMEDRIVER_EXE = 'C:\\Users\\mathew\\windows-share\\dev\\wikicrawl\\chromedriver.exe'

# Application Parameters
do_breakpoints = boolean(default=False)
page_delay = integer(min=0, max=2000, default=0)

# Web Driver Parameters
webdriver_user_agent = string(min=0, max=255, default='Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; Trident/5.0)')

# Requested browser and webdriver dependencies are required for this to work.
# This means you need to have installed on your system:
# Chrome + WebDriver for Chrome
# Firefox + geckodriver for Firefox
# phantomjs for phantom
# Options are 'chrome', 'firefox', 'phantom'
webdriver_browser = string(min=1, max=63, default='chrome') 

# Wikipedia Parameters
page_base_url = string(min=1, max=255, default='https://www.wikipedia.org/')

# Supported Languages so far:
# German, English, Spanish, French, Italian, Portuguese, Polish, Russian
# 'de', 'en', 'es', 'fr', 'it', 'pl', 'pt', 'ru'
page_language = string(min=2, max=22, default='en')

# API Keys
# Yandex is a web REST API for translating between different languages.
yandex_api_key = string(min=0, max=1023, default='trnsl.1.1.20170825T194642Z.26862b9dd4c1a755.9490ed28de448ff67522c2854f262eff05ec0dc3')

[logging]
log_file = string(max=255, default='')
log_level = option('critical', 'error', 'warning', 'info', 'debug', default='info')
log_fmt = string(max=255, default='')

        [[formatters]]
                [[[colored]]]
                () = string(default='colorlog.ColoredFormatter')
                format = string(max=255, default='%(log_color)s%(levelname)-8s%(reset)s:%(log_color)s%(name)-5s%(reset)s:%(white)s%(message)s')

                [[[basic]]]
                () = string(max=255, default='logging.Formatter')
                format = string(max=255, default='%(levelname)s:%(name)s:%(asctime)s:%(message)s')

                [[[forstorage]]]
                () = string(max=255, default='logging.Formatter')
                format = string(max=255, default='%(levelname)s:%(name)s:%(asctime)s:%(message)s')

        [[handlers]]
                [[[stderr]]]
                class = string(max=255, default='logging.StreamHandler')
                level = option('critical', 'error', 'warning', 'info', 'debug', default='debug')
                formatter = string(max=255, default='colored')

                [[[file]]]
                class = string(max=255, default='logging.handlers.RotatingFileHandler')
                level = option('critical', 'error', 'warning', 'info', 'debug', default='warning')
                formatter = string(max=255, default='forstorage')
                filename = string(max=255, default='road2philosophy.log')
                maxBytes = integer(min=0, max=33554432, default=33554432)
                backupCount = integer(min=0, max=3, default=1)

        [[loggers]]
                [[[root]]]
                level = option('critical', 'error', 'warning', 'info', 'debug', default='debug')
                handlers = string_list(max=8, default=list('file',)

                [[[r2p]]]
                level = option('critical', 'error', 'warning', 'info', 'debug', default='debug')
                handlers = string_list(max=8, default=list('stderr',))
                propagate = boolean(default=False)

